This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 446093 - split kdeedu RFE
split kdeedu RFE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdeedu (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 14:06 EDT by Sebastian Dziallas
Modified: 2008-06-26 16:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:57:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2008-05-12 14:06:29 EDT
The Education SIG plans to produce a Live CD spin dealing with mathematical
applications. We would like to include those packages from kdeedu related to
mathematics, but we are running into space problems when including the whole
kdeedu package. Could you please consider to split kdeedu up, so that we can
include these applications in the spin?
Comment 1 Rex Dieter 2008-05-12 14:19:42 EDT
Which ones again?  kig, kalgebra, kmplot?
Comment 2 Sebastian Dziallas 2008-05-12 14:28:28 EDT
At least kig, kalgebra and kmplot, but there are also kbruch and kpercentage.
Then, we would get the whole bunch of kdeedu apps related to mathematics.
Comment 3 Steven M. Parrish 2008-05-22 19:32:50 EDT
I think this is a good idea so I went ahead and created a new SPEC for a kdemath
package which includes kig, kalgebra, kmplot, kbruch and kpercentage.  The SPEC
file can be found here http://tuxbrewr.fedorapeople.org/kdemath.spec and is
based on the current kdeedu SPEC file.  The SRPM can be found here
http://tuxbrewr.fedorapeople.org/kdemath-4.0.4-1.fc9.src.rpm  New package built
successfully on all archs.  Build log is here
http://koji.fedoraproject.org/koji/taskinfo?taskID=625395.  Added info to this
bugreport for you to look at 1st rex and kevin and decide if its good. If so
will submit an official package request.
Comment 4 Steven M. Parrish 2008-05-22 21:26:35 EDT
I set it so this package conflicts with kdeedu to inhibit installation on
systems where kdeedu is already installed.
Comment 5 Kevin Kofler 2008-05-22 21:38:47 EDT
Well, we really don't want another package built from the kdeedu sources and 
conflicting with kdeedu, this should be built as a subpackage of kdeedu.
Comment 6 Steven M. Parrish 2008-05-26 15:33:22 EDT
Your right a subpackage is a better idea so here is a modified kdeedu specfile.
http://tuxbrewr.fedorapeople.org/kdeedu.spec

everything built with no errors on both F9 and F10
Comment 7 Sebastian Dziallas 2008-06-06 13:35:22 EDT
I just wanted to ask, whether I may help somehow. Is there already a review in
progress or is there anything I might do?
Comment 8 Rex Dieter 2008-06-06 13:55:17 EDT
we haven't forgotten.  Still pondering our options.

fwiw, here's an irc snippet from #fedora-kde today:
[12:43] <SMParrish> rdieter: 
https://bugzilla.redhat.com/show_bug.cgi?id=446093 just showed up in my inbox 
again.  Has this been discussed at all?
[12:45] <rdieter> SMParrish: a little, no action taken yet.  Looks good 
though.
[12:48] <SMParrish> kk will post an update that its still pending and not 
forgotten
[12:49] <rdieter> I'm still debating whether to keep it like that -math group, 
or split each app individually.
[12:50] <SMParrish> well if you are leaning towards a seperate package for 
each app would suggest it be done for all apps in kdedeu not just the math 
ones to make it consistent
[12:51] <rdieter> yup
Comment 9 Ngo Than 2008-06-10 12:38:48 EDT
it's bad idea to seperate package for each app. It's fine to split it 
into -math but no go for "seperate package for each app"!
Comment 10 Rex Dieter 2008-06-26 10:07:21 EDT
Alrighty, discussed in a recent kde-sig meeting, and we compromised with the
proposed -math split.  I'll get to work on that.
Comment 11 Rex Dieter 2008-06-26 16:57:43 EDT
* Thu Jun 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.83-2
- %description: update for new apps
- -math subpkg (#446093)
- -devel: omit a few lib*.so symlinks for those with non-public apis
- -devel: move designer plugins here

Note You need to log in before you can comment on or make changes to this bug.